package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFAppSetting;
import com.sa.ibiz.demo.demo.service.dto.WFAppSettingSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFAppSetting] 服务对象接口
 */
public interface WFAppSettingService extends IService<WFAppSetting>{

	boolean getDraft(WFAppSetting et);
	boolean update(WFAppSetting et);
	boolean create(WFAppSetting et);
	boolean checkKey(WFAppSetting et);
	boolean remove(WFAppSetting et);
		WFAppSetting get(WFAppSetting et);
    List<WFAppSetting> listDefault(WFAppSettingSearchFilter filter) ;
	Page<WFAppSetting> searchDefault(WFAppSettingSearchFilter filter);
	/**	 实体[WFAppSetting] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }